org.eclipse.net4j.util.concurrent

## Class NonBlockingIntCounter

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.NonBlockingIntCounter

-     public final class NonBlockingIntCounter
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonBlockingIntCounter()`
    `NonBlockingIntCounter(int initialValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decrement()`
    `int` | `getValue()`
    `int` | `increment()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonBlockingIntCounter

          public NonBlockingIntCounter()

    - #### NonBlockingIntCounter

          public NonBlockingIntCounter(int initialValue)

  - ### Method Detail

    - #### getValue

          public int getValue()

    - #### increment

          public int increment()

    - #### decrement

          public int decrement()

      Since:
        3.0

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html